<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="SDS_UCOL_AsientosContables" targetNamespace="http://tempuri.org/SDS_UCOL_AsientosContables.xsd" xmlns:mstns="http://tempuri.org/SDS_UCOL_AsientosContables.xsd" xmlns="http://tempuri.org/SDS_UCOL_AsientosContables.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Web.config" AppSettingsPropertyName="SHIOL_CONTA_BTHConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="SHIOL_CONTA_BTHConnectionString (Web.config)" ParameterPrefix="@" PropertyReference="AppConfig.System.Configuration.ConfigurationManager.0.ConnectionStrings.SHIOL_CONTA_BTHConnectionString.ConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="UCOL_AsientosContablesDetallesGeneral_SelectTableAdapter" Name="UCOL_AsientosContablesDetallesGeneral_Select">
            <MainSource>
              <DbSource ConnectionRef="SHIOL_CONTA_BTHConnectionString (Web.config)" DbObjectName="Shiol_Datos_MLP_2.dbo.UCOL_AsientosContablesDetallesGeneral_Select" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.UCOL_AsientosContablesDetallesGeneral_Select</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@Empresa" Precision="0" ProviderType="NVarChar" Scale="0" Size="20" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="nvarchar" DbType="String" Direction="Input" ParameterName="@Anio" Precision="0" ProviderType="NVarChar" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@SubDiarioId" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@UnidadNegocioID" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@AreaId" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@HotelId" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@desde" Precision="23" ProviderType="DateTime" Scale="3" Size="8" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@hasta" Precision="23" ProviderType="DateTime" Scale="3" Size="8" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="NombreSubDiario" DataSetColumn="NombreSubDiario" />
              <Mapping SourceColumn="Comprobante" DataSetColumn="Comprobante" />
              <Mapping SourceColumn="NombreHotel" DataSetColumn="NombreHotel" />
              <Mapping SourceColumn="Dia" DataSetColumn="Dia" />
              <Mapping SourceColumn="Glosa" DataSetColumn="Glosa" />
              <Mapping SourceColumn="CodigoPlanCuenta" DataSetColumn="CodigoPlanCuenta" />
              <Mapping SourceColumn="NombrePlanCuenta" DataSetColumn="NombrePlanCuenta" />
              <Mapping SourceColumn="Moneda" DataSetColumn="Moneda" />
              <Mapping SourceColumn="TipoCambio" DataSetColumn="TipoCambio" />
              <Mapping SourceColumn="DebeSoles" DataSetColumn="DebeSoles" />
              <Mapping SourceColumn="HaberSoles" DataSetColumn="HaberSoles" />
              <Mapping SourceColumn="DebeDolare" DataSetColumn="DebeDolare" />
              <Mapping SourceColumn="HaberDolares" DataSetColumn="HaberDolares" />
              <Mapping SourceColumn="NombreArea" DataSetColumn="NombreArea" />
              <Mapping SourceColumn="NombreTipoDoc" DataSetColumn="NombreTipoDoc" />
              <Mapping SourceColumn="DiaEmision" DataSetColumn="DiaEmision" />
              <Mapping SourceColumn="FechaVencimiento" DataSetColumn="FechaVencimiento" />
              <Mapping SourceColumn="NumeroDocumento" DataSetColumn="NumeroDocumento" />
              <Mapping SourceColumn="Referencia" DataSetColumn="Referencia" />
              <Mapping SourceColumn="Ruc" DataSetColumn="Ruc" />
              <Mapping SourceColumn="razonsocial" DataSetColumn="razonsocial" />
              <Mapping SourceColumn="NombreFlujo" DataSetColumn="NombreFlujo" />
              <Mapping SourceColumn="MedioPago" DataSetColumn="MedioPago" />
              <Mapping SourceColumn="NroOperacion" DataSetColumn="NroOperacion" />
              <Mapping SourceColumn="AsientoContableDetalleID" DataSetColumn="AsientoContableDetalleID" />
              <Mapping SourceColumn="AsientoContableID" DataSetColumn="AsientoContableID" />
              <Mapping SourceColumn="AsientoContableDetalleIDTransferencia" DataSetColumn="AsientoContableDetalleIDTransferencia" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="SDS_UCOL_AsientosContables" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="False">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="UCOL_AsientosContablesDetallesGeneral_Select">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="NombreSubDiario" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="80" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="18" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NombreHotel" msdata:ReadOnly="true" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Dia" type="xs:dateTime" minOccurs="0" />
              <xs:element name="Glosa" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CodigoPlanCuenta" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="12" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NombrePlanCuenta" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Moneda" msdata:ReadOnly="true" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="TipoCambio" type="xs:decimal" minOccurs="0" />
              <xs:element name="DebeSoles" msdata:ReadOnly="true" type="xs:decimal" minOccurs="0" />
              <xs:element name="HaberSoles" msdata:ReadOnly="true" type="xs:decimal" minOccurs="0" />
              <xs:element name="DebeDolare" msdata:ReadOnly="true" type="xs:decimal" minOccurs="0" />
              <xs:element name="HaberDolares" msdata:ReadOnly="true" type="xs:decimal" minOccurs="0" />
              <xs:element name="NombreArea" msdata:ReadOnly="true" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NombreTipoDoc" msdata:ReadOnly="true" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="DiaEmision" type="xs:dateTime" minOccurs="0" />
              <xs:element name="FechaVencimiento" type="xs:dateTime" minOccurs="0" />
              <xs:element name="NumeroDocumento" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Referencia" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="80" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Ruc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="13" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="razonsocial" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NombreFlujo" msdata:ReadOnly="true" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MedioPago" msdata:ReadOnly="true" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NroOperacion" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="AsientoContableDetalleID">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="AsientoContableID">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="AsientoContableDetalleIDTransferencia" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>